package com.tzld.longarticle.recommend.server.service.recommend;

import com.tzld.longarticle.recommend.server.mapper.longArticle.LongArticleBaseMapper;
import com.tzld.longarticle.recommend.server.model.param.ArticleCategoryListParam;
import com.tzld.longarticle.recommend.server.model.param.ArticleCategoryUpdateParam;
import com.tzld.longarticle.recommend.server.model.vo.ArticleCategoryListVO;
import com.tzld.longarticle.recommend.server.util.page.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class ArticleCategoryService {

    @Autowired
    private LongArticleBaseMapper longArticleBaseMapper;


    public Page<ArticleCategoryListVO> articleCategoryList(ArticleCategoryListParam param) {
        int offset = (param.getPageNum() - 1) * param.getPageSize();
        int count = longArticleBaseMapper.articleCategoryCount(param.getTitle());
        List<ArticleCategoryListVO> list = longArticleBaseMapper.articleCategoryList(param.getTitle(), offset, param.getPageSize());
        Page<ArticleCategoryListVO> page = new Page<>(param.getPageNum(), param.getPageSize());
        page.setTotalSize(count);
        page.setObjs(list);
        return page;
    }

    public void articleCategoryUpdate(ArticleCategoryUpdateParam param) {
        longArticleBaseMapper.updateArticleCategory(param.getTitle(), param.getCategory());
        longArticleBaseMapper.updateDatastatScoreCategory(param.getTitle(), param.getCategory());
    }
}
